## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name   pymaven-patch
%global forgeurl    https://github.com/nexB/pymaven
Version:            0.3.2
%global tag         0.3.2

%forgemeta

Name:           python-%{pypi_name}
Release:        %autorelease
Summary:        Library for working with Maven repositories via Python

License:        Apache-2.0
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
Pymaven is a Python library for interfacing with the Maven build system. There
are two major interfaces:

 - pymaven.client provides a basic Maven repository client
 - pymaven.pom provides a Pom object that can provide progromatic access to a
 maven pom file}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{common_description}

%prep
%forgeautosetup -p1

# Remove version limit from lxml
sed -i "s/lxml.*/lxml/" requirements.txt

%generate_buildrequires
# Fix issue about "versioning for this project requires either an sdist tarball,
# or access to an upstream git repository. It's also possible that there is a
# mismatch between the package name in setup.cfg and the argument given 
# to pbr.version.VersionInfo."
export PBR_VERSION=%{version}
%pyproject_buildrequires 

%build
# Fix issue about "versioning for this project requires either an sdist tarball,
# or access to an upstream git repository. It's also possible that there is a
# mismatch between the package name in setup.cfg and the argument given 
# to pbr.version.VersionInfo."
export PBR_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pymaven

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.3.2-5
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.3.2-2
- Rebuilt for Python 3.13

* Thu May 23 2024 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Tue Mar 05 2024 Lumir Balhar <lbalhar@redhat.com> - 0.3.0-4
- Remove version limit from lxml

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 26 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Initial import
## END: Generated by rpmautospec
